polybori::CReverseIter< OrderType, NaviType, RefType > Class Template Reference

`#include <BooleSet.h>`

Inheritance diagram for polybori::CReverseIter< OrderType, NaviType, RefType >:

## Public Types

typedef pbori_base< CReverseIter >::type | base
typedef base::term_generator | term_generator

## Public Member Functions

template<class MgrType >
| CReverseIter (NaviType navi, const MgrType &mgr)

## Member Typedef Documentation

template<class OrderType , class NaviType , class RefType >

typedef pbori_base<CReverseIter>::type polybori::CReverseIter< OrderType, NaviType, RefType >::base

template<class OrderType , class NaviType , class RefType >

typedef base::term_generator polybori::CReverseIter< OrderType, NaviType, RefType >::term_generator

## Constructor & Destructor Documentation

template<class OrderType , class NaviType , class RefType >
template<class MgrType >

polybori::CReverseIter< OrderType, NaviType, RefType >::CReverseIter | ( | NaviType | navi,
|  | const MgrType & | mgr
| ) |  |

inline

The documentation for this class was generated from the following files:

- BooleSet.h
- CGenericIter.h